/*
 * Copyright 2009 bufferings[at]gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package bufferings.ktr.s3unit;

import junit.framework.TestCase;
import bufferings.ktr.s3unit.env.Env;
import bufferings.ktr.s3unit.env.factory.JDOEnvFactory;
import bufferings.ktr.s3unit.helper.JDOHelper;

/**
 * A JUnit3 JDO test case.
 * 
 * @author bufferings[at]gmail.com
 * @see org.slim3.tester.DatastoreTestCase
 */
public abstract class KtrJDOTestCase3 extends TestCase {

  protected Env env = new JDOEnvFactory().createEnv();

  protected JDOHelper jdoHelper = new JDOHelper();

  @Override
  public void setUp() throws Exception {
    env.setUp();
    jdoHelper.setUp();
  }

  @Override
  public void tearDown() throws Exception {
    jdoHelper.tearDown();
    env.tearDown();
  }
}
