/*
 * Copyright 2009 bufferings[at]gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package bufferings.ktr.s3unit.env.factory;

import bufferings.ktr.s3unit.env.Env;
import bufferings.ktr.s3unit.env.NoServerJDOEnv;

/**
 * A class to create a JDO test Env for the server type.
 * 
 * @author bufferings[at]gmail.com
 */
public class JDOEnvFactory extends EnvFactory {

  /** {@inheritDoc} */
  @Override
  protected Env createNoServerEnv() {
    return new NoServerJDOEnv();
  }

}
